CVE-2019-3573

NameCVE-2019-3573
DescriptionIn libsixel v1.8.2, there is an infinite loop in the function sixel_decode_raw_impl() in the file fromsixel.c, as demonstrated by sixel2png.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs922460

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libsixel (PTS)jessie1.1.2-1vulnerable
stretch1.5.2-2vulnerable
buster, sid1.8.2-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libsixelsource(unstable)(unfixed)low922460

Notes

[buster] - libsixel <no-dsa> (Minor issue)
[stretch] - libsixel <no-dsa> (Minor issue)
[jessie] - libsixel <postponed> (Minor issue)
https://github.com/saitoha/libsixel/issues/83

Search for package or bug name: Reporting problems